Loading...
Searching...
No Matches
KeyEventData Struct Reference

Additional data for keyboard event. More...

`#include <src/common/event.h>`

Inheritance diagram for KeyEventData:
[legend]

## Public Member Functions

std::unique_ptr< EventData > | Clone () const override

## Public Attributes

bool | virt = false
| If true, the key is a virtual code generated by certain key modifiers or joystick buttons.
unsigned int | key = 0
| Key symbol: KEY(...) macro value or virtual key VIRTUAL_... (from common/key.h).
InputSlot | slot = INPUT_SLOT_MAX
| Input binding slot for this key.

## Detailed Description

Additional data for keyboard event.

## Member Function Documentation

## Clone()

std::unique_ptr< EventData > KeyEventData::Clone | ( |  | ) | const

inline override virtual

Implements EventData.

## Member Data Documentation

## virt

bool KeyEventData::virt = false

If true, the key is a virtual code generated by certain key modifiers or joystick buttons.

## key

unsigned int KeyEventData::key = 0

Key symbol: KEY(...) macro value or virtual key VIRTUAL_... (from common/key.h).

## slot

InputSlot KeyEventData::slot = INPUT_SLOT_MAX

Input binding slot for this key.

The documentation for this struct was generated from the following file:

- src/common/event.h